addAttrToGeom-methods {sp} | R Documentation

## constructs SpatialXxxDataFrame from geometry and attributes

### Description

constructs SpatialXxxDataFrame from geometry and attributes

### Usage

    addAttrToGeom(x, y, match.ID, ...)

### Arguments

`x` | geometry (locations) of the queries
`y` | data.frame object with attributes
`match.ID` | logical; if TRUE, the IDs of the geometry and of the data.frame are matched (possibly swapping records), and an error occurs when some IDs do not match
`...` | (optional) arguments passed to the constructor functions

### Value

an object of class XxxDataFrame, where Xxx is the class of x

### Methods

x = "SpatialPoints", y = "data.frame"
x = "SpatialPixels", y = "data.frame"
x = "SpatialGrid", y = "data.frame"
x = "SpatialLines", y = "data.frame"
x = "SpatialPolygons", y = "data.frame"

### Author(s)

Edzer Pebesma, edzer.pebesma@uni-muenster.de

### See Also

over

[Package sp version 1.2-3 Index]